# Trigger a pre-debit notification To support processing recurring UPI payments through Adyen Integration v2.0, a pre-debit notification for each posted invoice must be sent to the UPI users before collecting the recurring payments. Use this operation to send pre-debit notification requests to the gateway for invoices that meet the requirements. See Implement UPI on Adyen Integration v2.0 for more information. Before using this operation, ensure the following prerequisites are met: - Support for UPI transactions on Adyen has been enabled. This is a feature that can be requested through the Specialized Payment Connections service at an additional cost. - Ensure the conditions for triggering pre-debit notification requests are met. Endpoint: POST /v1/payment-gateways/pre-debit-notification Version: 2026-02-20 Security: bearerAuth ## Header parameters: - `Idempotency-Key` (string) Specify a unique idempotency key if you want to perform an idempotent POST or PATCH request. Do not use this header in other request types. With this header specified, the Zuora server can identify subsequent retries of the same request using this value, which prevents the same operation from being performed multiple times by accident. - `Accept-Encoding` (string) Include the Accept-Encoding: gzip header to compress responses as a gzipped file. It can significantly reduce the bandwidth required for a response. If specified, Zuora automatically compresses responses that contain over 1000 bytes of data, and the response contains a Content-Encoding header with the compression algorithm so that your client can decompress it. - `Content-Encoding` (string) Include the Content-Encoding: gzip header to compress a request. With this header specified, you should upload a gzipped file for the request payload instead of sending the JSON payload. - `Zuora-Track-Id` (string) A custom identifier for tracing the API call. If you set a value for this header, Zuora returns the same value in the response headers. This header enables you to associate your system process identifiers with Zuora API calls, to assist with troubleshooting in the event of an issue. The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (:), semicolon (;), double quote ("), and quote ('). - `Zuora-Entity-Ids` (string) An entity ID. If you have Zuora Multi-entity enabled and the OAuth token is valid for more than one entity, you must use this header to specify which entity to perform the operation in. If the OAuth token is only valid for a single entity, or you do not have Zuora Multi-entity enabled, you should not set this header. - `Zuora-Org-Ids` (string) Comma separated IDs. If you have Zuora Multi-Org enabled, you can use this header to specify which orgs to perform the operation in. If you do not have Zuora Multi-Org enabled, you should not set this header. The IDs must be a sub-set of the user's accessible orgs. If you specify an org that the user does not have access to, the operation fails. This header is important in Multi-Org (MO) setups because it defines the organization context under which the API should operate—mainly used for read access or data visibility filtering. If the header is not set, the operation is performed in scope of the user's accessible orgs. - `Zuora-Version` (string) The minor API version. For a list of available minor versions, see API upgrades. ## Request fields (application/json): - `invoiceKey` (string, required) The unique identifier for an invoice. It can be either a UUID such as 2c92c8955bd63cc1015bd7c151af0000, or an invoice number such as INV-0000001. Example: "c2289d0a8d3af0f2018d3b2b1fd00000" - `paymentGatewayId` (string) The ID of the payment gateway used to process the payment, such as 8ad08aef83d0c3000183d4b5a2d51933. If it is not provided, the ID of the default payment gateway is used. Example: "80289d0a8d3af0f2018d3b1b8b800000" - `paymentMethodId` (string) The ID of the payment method used for the payment, such as 4ad08aef83d0c30102183d4b5a2d51733. If it is not provided, the ID of the default payment method is used. Example: "40289d0a8d3af0f2018d3b2b1fd00000" ## Response 200 fields (application/json): - `success` (boolean) Indicates whether the call succeeded. Example: true - `invoiceId` (string) The ID of the invoice, for which the pre-debit notification is triggered. Example: "c2289d0a8d3af0f2018d3b2b1fd00000" - `paymentMethodId` (string) The ID of the associated payment method. Example: "40289d0a8d3af0f2018d3b2b1fd00000" - `gatewayId` (string) The ID of the associated payment gateway. Example: "80289d0a8d3af0f2018d3b1b8b800000" - `gatewayType` (string) The gateway type used in this operation. Example: "Adyen" - `gatewayVersion` (string) The version number of the gateway used. Example: "2" - `notificationReferenceId` (string) The value of the shopperNotificationReference field returned from the gateway. Example: "40289d0a8d3af0f2018d3b2b1fd00000" - `secondNotificationReferenceId` (string,null) The additional second reference ID returned from the gateway. - `thirdNotificationReferenceId` (string,null) The additional third reference ID returned from the gateway. - `extraParameters` (string,null) The extra optional parameter returned from the gateway. ## Response 500 fields (application/json): - `reasons` (array) Example: [{"code":"ObjectNotFound","message":"Notification definition with id 6e569e1e05f040eda51a927b140c0ac1 does not exist"}] - `reasons.code` (string) The error code of response. - `reasons.message` (string) The detail information of the error response ## Response 4XX fields (application/json): - `processId` (string) The ID of the process that handles the operation. - `reasons` (array) The container of the error code and message. This field is available only if the success field is false. - `reasons.code` (string) The error code of response. - `reasons.message` (string) The detail information of the error response - `requestId` (string) Unique identifier of the request. - `success` (boolean) Indicates whether the call succeeded.